#include <bits/stdc++.h>

using namespace std;

int n;
int a[1000005];
int last[15];

int main() 
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin >> n;
    
    for(int i=0;i<=9;i++)
    {
        last[i] = -1;
    }
    
    for(int i=1;i<=n;i++)
    {
        cin >> a[i];
        last[a[i]] = i;
    }
    
    if(n==2)
    {
        cout << a[2] << " " << a[1];
        return 0;
    }
    
    
    for(int i=9;i>=0;i--)
    {
        if(last[i]==-1) continue;
        for(int j=1;j<last[i];j++)
        {
            if(a[j] < i)
            {
                swap(a[j],a[last[i]]);
                for(int k=1;k<=n;k++) cout << a[k] << " ";
                return 0;
            }
        }
    }
    
    
    for(int i=1;i<n;i++)
    {
        if(a[i]==a[i+1])
        {
            swap(a[i],a[i+1]);
            for(int j=1;j<=n;j++) cout << a[j] << " ";
            return 0;
        }
    }
        
    swap(a[n],a[n-1]);
    for(int i=1;i<=n;i++) cout << a[i] << " ";

    return 0;
}